urssSim <-
function(readLen = 36, maxReadDepth = 2000, numSamples = 1000, outPath = "./") {
    ufs <- seq(0.005, 1, 0.005)
    N <- 1:(2*readLen)
    for(k in 1:length(uf.bins)) {
        uf <- ufs[k]
        cat(paste("<< sim ncf:", uf, "\n"))
        out <- list()
        m <- rep(NA, maxReadDepth)
        s <- rep(NA, maxReadDepth)
        samples <- list()
        for(j in 1:maxReadDepth) {
            n <- c()
            for(i in 1:numSamples) {
                n[i] <- length(table(sample(N, round(j * uf), replace = TRUE)))
            }
            m[j] <- mean(n)
            s[j] <- sd(n)
            samples[[j]] <- n
        }
        out[[1]] <- list(mean = m, sd = s, samples = samples)
        names(out) <- uf

        if(uf != 1) {
            outFileName <- paste(outPath, "abs.sim.readlen-",readLen ,".maxdepth-",maxReadDepth ,".samples-", numSamples,".ncf-", uf, ".Rdata", sep = "")
        } else {
            outFileName <- paste(outPath, "abs.sim.readlen-",readLen ,".maxdepth-",maxReadDepth ,".samples-", numSamples,".ncf-1.0.Rdata", sep = "")
        }
        dput(out, outFileName)
    }
}
